#include <stdio.h>

void main()
{
    int fact,i;

    printf("Ingrese un n%cmero: ",163);
    scanf("%u", &fact);

    while(fact<0)
    {
        printf("Ingrese un n%cmero positivo: ", 163);
        scanf("%u", &fact);
    }

    switch(fact)
    {
        case 0: fact = 1;
        break;
        default:  i=fact-1;
        while(i>0)
        {
            fact=fact*i;
            i--;
        }
    }


    printf("El factorial de su n%cmero es: %d",163,fact);
    printf("\n");
}
